org.apache.hc.client5.http.entity.mime

## Enum HttpMultipartMode

- java.lang.Object
- - java.lang.Enum<HttpMultipartMode>
  - - org.apache.hc.client5.http.entity.mime.HttpMultipartMode

All Implemented Interfaces:
  Serializable, Comparable<HttpMultipartMode>

    public enum HttpMultipartMode
    extends Enum<HttpMultipartMode>

Since:
  4.0

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BROWSER_COMPATIBLE` browser-compatible mode, i.e.
`RFC6532` RFC 6532 compliant
`STRICT` RFC 822, RFC 2045, RFC 2046 compliant

### Method Summary

Methods
`static HttpMultipartMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HttpMultipartMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STRICT

    public static final HttpMultipartMode STRICT

RFC 822, RFC 2045, RFC 2046 compliant

#### BROWSER_COMPATIBLE

    public static final HttpMultipartMode BROWSER_COMPATIBLE

browser-compatible mode, i.e. only write Content-Disposition; use content charset

#### RFC6532

    public static final HttpMultipartMode RFC6532

RFC 6532 compliant

### Method Detail

#### values

    public static HttpMultipartMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HttpMultipartMode c : HttpMultipartMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HttpMultipartMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null